Bug 158033 - Need authentication support for Hudson server
Need authentication support for Hudson server
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@connecteddeveloper
:
Depends on: 159799
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 18:13 UTC by Jesse Glick
Modified: 2009-04-05 18:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-02-05 18:13:27 UTC
Need some system to let the user log in to the Hudson server so that certain operations are authorized.

In particular:

1. Creating a job usually requires authentication.

2. Browsing the remote workspace sometimes requires authentication.

It may be possible to try an anonymous HTTP connection first, prompting for a password if the server says you are not
authorized.

TBD whether passwords should be saved to the userdir (in scrambled form), or only remembered for the session.

Need an SPI for supplying alternate authorization for certain sites.
Comment 1 Jesse Glick 2009-03-06 06:11:03 UTC
Implementing low-level cookie-based authentication was not pretty, but seems to work now. If you need authentication for
some operation, you will be prompted for a username and password; the login is good for the IDE session. The username is
remembered for the next time. There is an SPI permitting alternate authentication techniques if needed.

cdev #4e5c1c4d13ae
Comment 2 Quality Engineering 2009-03-17 08:42:01 UTC
Integrated into 'main-golden', will be available in build *200903170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4e5c1c4d13ae
User: Jesse Glick <jglick@netbeans.org>
Log: #158033: form-based authentication to Hudson.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo